Name:           lastpass-cli
Version:        1.3.1
Release:        1%{?dist}
Summary:        Command line interface to LastPass.com

License:        GPLv2
URL:            https://github.com/LastPass/lastpass-cli
Source0:        %url/archive/v%{version}/lastpass-cli-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libcurl-devel
BuildRequires:  asciidoc
Requires:       pinentry
Requires:       xclip

%description
A command line interface to LastPass.com.


%prep
%autosetup


%build
%cmake .
%make_build


%install
%make_install install-doc

# Install shell completions
install -Dpm0644 contrib/lpass_bash_completion \
    %{buildroot}%{_datadir}/bash-completion/completions/lpass-completion.bash
install -Dpm0644 contrib/completions-lpass.fish \
    %{buildroot}%{_datadir}/fish/vendor_functions.d/lpass.fish
install -Dpm0644 contrib/lpass_zsh_completion \
    %{buildroot}%{_datadir}/zsh/site-functions/_lpass

    
%files
%license COPYING
%license LICENSE.OpenSSL
%doc README.md
%doc CONTRIBUTING
%doc contrib/examples
%{_bindir}/lpass
%{_mandir}/man1/lpass.1.*
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/lpass-completion.bash
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/lpass.fish
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_lpass


%changelog
* Mon Jul 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-1
- Update to version 1.3.1
- Add fish and zsh completions
- Fix #1583717, #1579473, #1459717
- Thanks to Ventz Petkov and Edward J. Huff for their contribution

* Mon Jan 04 2016 Tom Prince - 0.8.1-1
- Update to 0.8.1.  This update adds pinning of LastPass public keys, in
  preparation for certificate changes at lastpass.com. Upgrade will be needed
  to avoid "Peer certificate cannot be authenticated with given CA
  certificates" errors when the cert changes are made.

* Mon Jan 04 2016 Tom Prince - 0.8.0-1
- Version number bump
- Install bash completions

* Thu Dec 24 2015 Tom Prince - 0.7.0-3
- Remove xclip dependency for EPEL.

* Sun Dec 6 2015 Tom Prince - 0.7.0-2
- Address review comments.

* Mon Nov 16 2015 Tom Prince - 0.7.0-1
- Version number bump

* Wed Oct 7 2015 Tom Prince - 0.6.0-1
- Version number bump

* Tue Dec 30 2014 Rohan Ferris - 0.4.0-2
- Include asciidoc

* Tue Dec 30 2014 Rohan Ferris - 0.4.0-1
- Version number bump

* Fri Nov  7 2014 Rohan Ferris
- Initial packaging.
